Payment reports

List Payment Reports

GET
/orgs/{organizationId}/payment-reports

Lists all payment reports with filtering, sorting, and pagination.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""displayId""reportDate""status""totalAmount""paymentCount""mollieSettlementId""mollieSettlement""metadata""createdAt""updatedAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
mollieSettlementId?string|array<string>|null
status?|array<>|
totalAmount?number||
paymentCount?number||
reportDate?|null
createdAt?|null
updatedAt?|null
displayId?string|array<string>|
mollieSettlement?
metadata?
hasPayments?boolean|string|number|null
hasNoPayments?boolean|string|number|null
hasBankAccountTransactions?boolean|string|number|null
hasNoBankAccountTransactions?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasComments?boolean|string|number|null
hasNoComments?boolean|string|number|null
hasPrintQueueJobs?boolean|string|number|null
hasNoPrintQueueJobs?boolean|string|number|null
paymentId?string|array<string>|
bankAccountTransactionId?string|array<string>|
eventLogId?string|array<string>|
commentId?string|array<string>|
printQueueJobId?string|array<string>|
search?string

Response Body

OK

application/json
  1. response
curl -X GET 'https://api.tillor.eu/orgs/string/payment-reports'
null